Subject: bug#18912: 24.4; mode-line corruption on graphical frames in dual-headed display

From: Stefan Monnier <[email-masked]>
Date: Tue, 04 Nov 2014 15:13:51 -0500

> Moreover, the fact that running xrefresh, which is not an Emacs
> command, fixes the display is yet another argument against this
> hypothesis.  xrefresh doesn't communicate with Emacs, so the only way
> it could fix the display is if the data supplied by Emacs was correct.

Actually xrefresh does (indirectly) communicate with Emacs, IIRC, since
it causes the X server to generate "expose" events to redraw everything.

        Stefan